<script type="text/javascript">
	$(document).ready(function(){
		
	cari_itf();
	
	$("#mulai").focus();
		
	function cari_itf(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	: "modul/pener_kas/cari_itf.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_piut").val(data.nopiut);
				$("#txt_persed").val(data.nopers);
				$("#txt_utang").val(data.noutdg);
				$("#txt_labapb").val(data.labapb);
				$("#txt_jual").val(data.jual);
				$("#txt_labrug").val(data.labrug);
			}
		});
	}

	$("#mulai").click(function(){
		$(".input_detail").val('');
		$(".input_header").val('');
		$("#txt_total").val('');
		cari_tgl();
	});
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url	    : "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){
				$("#txt_tanggal").val(data.tanggal);
				$("#txt_tanggal").focus();
				cari_nomor();
			}
		});
	}
	
	function cari_nomor(){
		var tanggal = $("#txt_tanggal").val();
		$.ajax({
			type	: "POST",
			url	    : "modul/pengel_kas/cari_nomor.php",
			data	: "tanggal="+tanggal,
			dataType: "json",
			success	: function(data){				
				$("#txt_kode").val(data.nomor);				
				$('#data_detail').show();				
				cek_nourut();
				tampil_data_detail();
			}
		});
	}
	
	function tampil_data_detail(){		
		var kode = $("#txt_kode").val();
		
		$("#data_detail").load("modul/pengel_kas/tampil_data_detail.php?kode="+kode);		
		cari_total();
	}
	
	$("#txt_tanggal").keyup(function(){
		cari_nomor();
	});
	
	function cari_total(){
		var kode = $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url 	: "modul/pengel_kas/cari_total.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_total").val(data.total);				
			}
		});
	}
	
	$('#form_cari_bkk').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
		
	$('#cari_bkk').click(function(){
		$("#info_kk").load('modul/pengel_kas/tampil_nobkk.php');
		$('#form_cari_bkk').dialog('open');
		$("#txt_carikode").focus();
	});
		
	$("#txt_carikode").keyup(function(){
		var cari = $("#txt_carikode").val();
		
		$.ajax({
			type	: "POST",
			url	    : "modul/pengel_kas/tampil_nobkk.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_kk").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_kk").html(data);				
			}
		});
	});
			
	$('#form_cari_kas').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
		
	$('#txt_namakas').keyup(function(){		
		$('#form_cari_kas').dialog('open');
		$("#info_kas").load('modul/pengel_kas/tampil_data_kas.php');
		$("#txt_carikas").focus();
	});
	
	$("#txt_carikas").keyup(function(){
		var cari= $("#txt_carikas").val();
		
		var no=1;
		$.ajax({
			type	: "POST",
			url	    : "modul/pengel_kas/tampil_data_kas.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_kas").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_kas").html(data);				
			}
		});
	});
	
	$('#form_cari_akun').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
	
	$('#txt_naakun').click(function(){		
		$('#form_cari_akun').dialog('open');
		$("#info_bb").load('modul/pengel_kas/tampil_data_akun.php');
		$("#txt_caribb").focus();		
	});
	
	$('#txt_naakun').keyup(function(){
		$('#form_cari_akun').dialog('open');
		$("#info_bb").load('modul/pengel_kas/tampil_data_akun.php');
		$("#txt_caribb").focus();		
	});
	
	$("#txt_caribb").keyup(function(){
		var cari	= $("#txt_caribb").val();
				
		$.ajax({
			type	: "POST",
			url	    : "modul/pener_kas/tampil_data_akun.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bb").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bb").show();
				$("#info_bb").html(data);
			}
		});
	});
	
	$('#form_cari_bp').dialog({
		autoOpen: false,
		modal	: true,
		width: 700,
	});
	
	$("#txt_namabp").keyup(function(){
		var adabp = $("#txt_adabp").val();		
		if(adabp==''){
			alert('Kode akun '+nobb+' tidak memiliki buku pembantu.');
			$("#txt_jumlah").focus();
			return (false);
		}else{
			var nobb = $("#txt_noakun").val();			
			
			$('#form_cari_bp').dialog('open');
			$("#info_bp").load("modul/pengel_kas/tampil_data_bp.php?nobb="+nobb);
			$("#txt_caribp").focus();
		}
	});
	
	$("#txt_caribp").keyup(function(){
		var cari = $("#txt_caribp").val();
		var nobb = $("#txt_noakun").val();
		
		$.ajax({
			type	: "POST",
			url	    : "modul/pengel_kas/tampil_data_bp.php",
			data	: "cari="+cari+
					"&nobb="+nobb,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_bp").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_bp").html(data);				
			}
		});
	});

	$("#simpan").click(function(){
		simpan_data();
	});
			
	function simpan_data(){
		var	kode	= $("#txt_kode").val();
		var	tanggal	= $("#txt_tanggal").val();
		var	nokas   = $("#txt_nokas").val();		
		var	nakas  	= $("#txt_namakas").val();
		var	pener 	= $("#txt_pener").val();
		var	nourut  = $("#txt_nourut").val();
		var	noakun	= $("#txt_noakun").val();
		var	nobp  	= $("#txt_nobp").val();
		var	nopol 	= $("#txt_nopol").val();
		var	naakun  = $("#txt_naakun").val();
		var	namabp  = $("#txt_namabp").val();
		var	ket    	= $("#txt_ket").val();
		var	jumlah	= $("#txt_jumlah").val();
		
		var error = false;

		if(tanggal.length == 0){
           var error = true;
           alert("Maaf, Tanggal bkk tidak boleh kosong.");
		   return (false);
        }
		
		if(nokas.length == 0){
			var error = true;
			alert("Maaf, Nomor akun kas masih kosong");
			$("#txt_nokas").focus();
			return (false);
        }
		
		if(noakun.length == 0){
           var error = true;
           alert("Maaf, Kode Akun  tidak boleh kosong");
		   $("#txt_noakun").focus();
		   return (false);
        }
		
		if(nobp.length == 0){
			var adabp = $("#txt_adabp").val();
			
			if(!adabp==''){
				var error = true;
				alert("Maaf, Anda belum memilih kode Buku Pembantu.");
				$("#txt_noakun").focus();
				return (false);
			}
        }
		
		if(nopol.length == 0){
			var utang= $("#txt_utang").val();
			
			if(noakun==utang){
				var error = true;
				alert("Maaf, Untuk akun hutang dagang, Nomor faktur tidak boleh kosong.");
				$("#txt_noakun").focus();
				return (false);
			}
        }
		
		if(ket.length == 0){
           var error = true;
           alert("Maaf, Kolom keterangan tidak boleh kosong");
		   $("#txt_ket").focus();
		   return (false);
         }
		 
		if(jumlah.length == 0){
			var error = true;
			alert("Maaf, Kolom jumlah tidak boleh kosong.");
			$("#txt_jumlah").focus();
			return (false);
        }
		 
		if(error == false){			
		$.ajax({
			type	: "POST",
			url	    : "modul/pengel_kas/simpan.php",
			data	: "kode="+kode+
					"&tanggal="+tanggal+
					"&nokas="+nokas+
					"&nakas="+nakas+
					"&pener="+pener+
					"&nourut="+nourut+
					"&noakun="+noakun+
					"&nobp="+nobp+
					"&naakun="+naakun+
					"&namabp="+namabp+
					"&nopol="+nopol+
					"&ket="+ket+
					"&jumlah="+jumlah,
			timeout	: 2000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$(".input_detail").val('');
				$("#txt_naakun").focus();
				cek_nourut();
				tampil_data_detail();				
			}
		});
		}
	}
	
	function cek_nourut(){
		var kode = $("#txt_kode").val();
		
		$.ajax({
			type	: "POST",
			url	: "modul/pengel_kas/cari_nourut.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#txt_nourut").val(data.nourut);
				var nourut = $("#txt_nourut").val();
			}
		});
	}
	
	$("#tutup").click(function(){		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#txt_kode {
	background:#CCC;
}
</style>

<?php
include '../../inc/inc.koneksi.php';

echo "<table width='100%'>	
	<tr>
		<input type='text' name='txt_piut' id='txt_piut' size='4' hidden />
		<input type='text' name='txt_persed' id='txt_persed' size='4' hidden />
		<input type='text' name='txt_utang' id='txt_utang' size='4' hidden />
		<input type='text' name='txt_labapb' id='txt_labapb' size='4' hidden />
		<input type='text' name='txt_jual' id='txt_jual' size='4' hidden />
		<input type='text' name='txt_labrug' id='txt_labrug' size='4' hidden />
		
		<td width='8%'>No. BKK</td>
		<td>: <input type='text' name='txt_kode' id='txt_kode' size='12' class='input_header' readonly />
			<img src='images/view.png' width='18' height='18' title='Cari BKK' id='cari_bkk'>
		</td>
		<td>Tanggal : <input type='date' name='txt_tanggal' id='txt_tanggal' size='10' class='input_header' ></td>		
		<td>Akun Kas : <input type='text' name='txt_namakas' id='txt_namakas' size='19' class='input_header'>
			<input type='text' name='txt_nokas' id='txt_nokas' size='4' class='input_header' readonly />
		</td>
		<td>Penerima : <input type='text' name='txt_pener' id='txt_pener' size='20' class='input_header' ></td>
	</tr>
	</table>
	
	<table width='100%'>
	<tr>
		<td width='8%'>Terbilang</td>
		<td>: <input type='text' name='txt_terbilang' id='txt_terbilang' size='70' class='input_header' readonly /></td>
	</tr>
	</table>
	<hr>
	</div>";

echo "<div id='form_input'>
	<table>
		<tr>
			<th>Nama Akun</th>
			<th>Kode Akun</th>
			<th>Nama BP</th>
			<th>Kode BP</th>			
			<th>No.Polisi</th>			
			<th>Jumlah</th>
			<th>Keterangan</th>
		</tr>		
		<tr>
			<input type='text' name='txt_nourut' id='txt_nourut' hidden />
			<input type='text' name='txt_adabp' id='txt_adabp' hidden />
			<input type='text' name='txt_piut' id='txt_piut' hidden />
			<input type='text' name='txt_total' id='txt_total' hidden />
			<input type='text' name='txt_posting' id='txt_posting' class='input_detail' hidden />
			<td align='center'><input type='text' name='txt_naakun' id='txt_naakun' class='input_detail' size='20' ></td>
			<td align='center'><input type='text' name='txt_noakun' id='txt_noakun' class='input_detail' size='5' readonly /></td>
			<td align='center'><input type='text' name='txt_namabp' id='txt_namabp' class='input_detail' size='20' ></td>
			<td align='center'><input type='text' name='txt_nobp' id='txt_nobp' class='input_detail' size='8' maxlength='10' readonly /></td>
			<td><select id='txt_nopol' class='input_header'>
				<option value=''> - </option>";
				$sql = mysql_query("SELECT * FROM truk ORDER BY nopol");
				while($r=mysql_fetch_array($sql)){
					$nopol = $r[nopol];
					echo "<option value='$nopol'>$nopol - $r[nama_kd]</option>";
				}
				echo "</select>
			</td>
			<td align='center'><input type='text' name='txt_jumlah' id='txt_jumlah' class='input_detail' size='10' ></td>
			<td align='center'><input type='text' name='txt_ket' id='txt_ket' class='input_detail' size='50' ></td>
		</tr>
	</table>
	
	<div id='form_ket'>
	<table width='100%'>
		<tr>
			<td align='center'>
				<button name='simpan' id='simpan'>Rekam</button>
				<button name='mulai' id='mulai'>Input BKK</button>
				<button name='tutup' id='tutup'>Tutup</button>
			</td>
		</tr>
	</table>
	</div>
	</div>";

echo "<div id='form_cari_bkk' title='Pencarian Bukti Kas Keluar'>
		<table width='100%'>
			<tr>
				<td>Cari Nomor BKK : <input type='text' name='txt_carikode' id='txt_carikode' size='20'></td>
			</tr>
		</table>
		
		<div id='info_kk' align='center'></div>
	</div>";
	
echo "<div id='form_cari_kas' title='Pencarian Akun kas'>
		<table width='100%'>
			<tr>
				<td>Cari Akun kas : <input type='text' name='txt_carikas' id='txt_carikas' size='40'></td>
			</tr>
		</table>
		<div id='info_kas' align='center'></div>
	</div>";

echo "<div id='data_detail'></div>";

echo "<div id='form_cari_akun' title='Pencarian Akun Buku Besar'>
		<table width='100%'>
			<tr>
				<td>Cari Buku Besar : <input type='text' name='txt_caribb' id='txt_caribb' size='40'></td>
			</tr>
		</table>
		<div id='info_bb' align='center'></div>
	</div>";

echo "<div id='form_cari_bp' title='Pencarian Akun Buku Pembantu'>
		<table width='100%'>
			<td>
				<td>Cari Buku Pembantu : <input type='text' name='txt_caribp' id='txt_caribp' size='40'></td>
			</td>
		</table>		
		<div id='info_bp' align='center'></div>
	</div>";
?>